zenilib: Lib3dsMesh Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsMesh Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

char | box_back [64]
char | box_bottom [64]
char | box_front [64]
char | box_left [64]
char | box_right [64]
char | box_top [64]
int | color
Lib3dsFace * | faces
float | map_cylinder_height
float | map_matrix [4][4]
float | map_planar_size [2]
float | map_pos [3]
float | map_scale
float | map_tile [2]
int | map_type
float | matrix [4][4]
char | name [64]
unsigned short | nfaces
unsigned short | nvertices
unsigned | object_flags
float(* | texcos )[2]
unsigned | user_id
void * | user_ptr
float(* | vertices )[3]
unsigned short * | vflags

## Detailed Description

Definition at line 359 of file lib3ds.h.

## Member Data Documentation

char Lib3dsMesh::box_back[64]

Definition at line 373 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

char Lib3dsMesh::box_bottom[64]

Definition at line 377 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

char Lib3dsMesh::box_front[64]

Definition at line 372 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

char Lib3dsMesh::box_left[64]

Definition at line 374 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

char Lib3dsMesh::box_right[64]

Definition at line 375 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

char Lib3dsMesh::box_top[64]

Definition at line 376 of file lib3ds.h.

Referenced by face_array_read(), and face_array_write().

int Lib3dsMesh::color

Index to editor palette [0..255]

Definition at line 364 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

Lib3dsFace* Lib3dsMesh::faces

Definition at line 371 of file lib3ds.h.

Referenced by face_array_read(), face_array_write(), lib3ds_mesh_calculate_face_normals(), lib3ds_mesh_calculate_vertex_normals(), and lib3ds_mesh_resize_faces().

float Lib3dsMesh::map_cylinder_height

Definition at line 384 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

float Lib3dsMesh::map_matrix[4][4]

Definition at line 380 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

float Lib3dsMesh::map_planar_size[2]

Definition at line 383 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

float Lib3dsMesh::map_pos[3]

Definition at line 379 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

float Lib3dsMesh::map_scale

Definition at line 381 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

float Lib3dsMesh::map_tile[2]

Definition at line 382 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), and lib3ds_mesh_write().

int Lib3dsMesh::map_type

Definition at line 378 of file lib3ds.h.

Referenced by lib3ds_mesh_new(), and lib3ds_mesh_write().

float Lib3dsMesh::matrix[4][4]

Transformation matrix for mesh data

Definition at line 365 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_mesh_new(), lib3ds_mesh_read(), lib3ds_mesh_write(), and point_array_write().

char Lib3dsMesh::name[64]

Mesh name. Don't use more than 8 characters

Definition at line 362 of file lib3ds.h.

Referenced by lib3ds_file_create_nodes_for_meshes(), lib3ds_file_mesh_by_name(), lib3ds_mesh_new(), lib3ds_node_new_mesh_instance(), and mdata_write().

unsigned short Lib3dsMesh::nfaces

Number of faces in face array (max. 65535)

Definition at line 370 of file lib3ds.h.

Referenced by face_array_read(), face_array_write(), lib3ds_mesh_calculate_face_normals(), lib3ds_mesh_calculate_vertex_normals(), and lib3ds_mesh_resize_faces().

unsigned short Lib3dsMesh::nvertices

Number of vertices in vertex array (max. 65535)

Definition at line 366 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), flag_array_write(), lib3ds_mesh_bounding_box(), lib3ds_mesh_calculate_vertex_normals(), lib3ds_mesh_read(), lib3ds_mesh_resize_vertices(), Zeni::Model_Extents::operator()(), point_array_write(), and texco_array_write().

unsigned Lib3dsMesh::object_flags

See Also
  Lib3dsObjectFlags

Definition at line 363 of file lib3ds.h.

Referenced by mdata_write(), and named_object_read().

float(* Lib3dsMesh::texcos)[2]

Definition at line 368 of file lib3ds.h.

Referenced by lib3ds_mesh_read(), lib3ds_mesh_resize_vertices(), and texco_array_write().

unsigned Lib3dsMesh::user_id

Definition at line 360 of file lib3ds.h.

void* Lib3dsMesh::user_ptr

Definition at line 361 of file lib3ds.h.

float(* Lib3dsMesh::vertices)[3]

Definition at line 367 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_mesh_bounding_box(), lib3ds_mesh_calculate_face_normals(), lib3ds_mesh_calculate_vertex_normals(), lib3ds_mesh_read(), lib3ds_mesh_resize_vertices(), Zeni::Model_Extents::operator()(), and point_array_write().

unsigned short* Lib3dsMesh::vflags

Definition at line 369 of file lib3ds.h.

Referenced by flag_array_write(), lib3ds_mesh_read(), and lib3ds_mesh_resize_vertices().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h